/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { RadialBaseChartDescription } from "./RadialBaseChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let DataPieBaseChartDescription = /*@__PURE__*/ (() => {
    class DataPieBaseChartDescription extends RadialBaseChartDescription {
        get_type() {
            return "DataPieBaseChart";
        }
        constructor() {
            super();
            this.x9 = null;
            this.ww = null;
            this.x1 = null;
            this.wu = null;
            this.x6 = null;
            this.wv = null;
            this.xz = null;
            this.wt = null;
            this.xb = 0;
            this.yb = null;
            this.ya = null;
            this.x2 = null;
            this.xv = null;
            this.yd = null;
            this.xy = null;
            this.xx = null;
            this.x5 = null;
            this.xc = 0;
            this.x4 = null;
            this.xw = null;
            this.w3 = false;
            this.yc = null;
            this.w9 = 0;
            this.xa = 0;
            this.xf = 0;
            this.w4 = false;
            this.xt = 0;
            this.xh = 0;
            this.xg = 0;
            this.xi = 0;
            this.xd = 0;
            this.xe = 0;
            this.x8 = null;
            this.x7 = null;
            this.x0 = null;
            this.w1 = false;
            this.w2 = false;
            this.x3 = null;
        }
        get sliceLabelFormat() {
            return this.x9;
        }
        set sliceLabelFormat(a) {
            this.x9 = a;
            this.g("SliceLabelFormat");
        }
        get sliceLabelFormatSpecifiers() {
            return this.ww;
        }
        set sliceLabelFormatSpecifiers(a) {
            this.ww = a;
            this.g("SliceLabelFormatSpecifiers");
        }
        get legendSliceLabelFormat() {
            return this.x1;
        }
        set legendSliceLabelFormat(a) {
            this.x1 = a;
            this.g("LegendSliceLabelFormat");
        }
        get legendSliceLabelFormatSpecifiers() {
            return this.wu;
        }
        set legendSliceLabelFormatSpecifiers(a) {
            this.wu = a;
            this.g("LegendSliceLabelFormatSpecifiers");
        }
        get othersSliceLabelFormat() {
            return this.x6;
        }
        set othersSliceLabelFormat(a) {
            this.x6 = a;
            this.g("OthersSliceLabelFormat");
        }
        get othersSliceLabelFormatSpecifiers() {
            return this.wv;
        }
        set othersSliceLabelFormatSpecifiers(a) {
            this.wv = a;
            this.g("OthersSliceLabelFormatSpecifiers");
        }
        get legendOthersSliceLabelFormat() {
            return this.xz;
        }
        set legendOthersSliceLabelFormat(a) {
            this.xz = a;
            this.g("LegendOthersSliceLabelFormat");
        }
        get legendOthersSliceLabelFormatSpecifiers() {
            return this.wt;
        }
        set legendOthersSliceLabelFormatSpecifiers(a) {
            this.wt = a;
            this.g("LegendOthersSliceLabelFormatSpecifiers");
        }
        get innerExtent() {
            return this.xb;
        }
        set innerExtent(a) {
            this.xb = a;
            this.g("InnerExtent");
        }
        get sweepDirection() {
            return this.yb;
        }
        set sweepDirection(a) {
            this.yb = a;
            this.g("SweepDirection");
        }
        get sliceLabelPositionMode() {
            return this.ya;
        }
        set sliceLabelPositionMode(a) {
            this.ya = a;
            this.g("SliceLabelPositionMode");
        }
        get lightSliceLabelColor() {
            return this.x2;
        }
        set lightSliceLabelColor(a) {
            this.x2 = a;
            this.g("LightSliceLabelColor");
        }
        get darkSliceLabelColor() {
            return this.xv;
        }
        set darkSliceLabelColor(a) {
            this.xv = a;
            this.g("DarkSliceLabelColor");
        }
        get valueMemberPath() {
            return this.yd;
        }
        set valueMemberPath(a) {
            this.yd = a;
            this.g("ValueMemberPath");
        }
        get legendLabelMemberPath() {
            return this.xy;
        }
        set legendLabelMemberPath(a) {
            this.xy = a;
            this.g("LegendLabelMemberPath");
        }
        get legendEmptyValuesMode() {
            return this.xx;
        }
        set legendEmptyValuesMode(a) {
            this.xx = a;
            this.g("LegendEmptyValuesMode");
        }
        get othersCategoryType() {
            return this.x5;
        }
        set othersCategoryType(a) {
            this.x5 = a;
            this.g("OthersCategoryType");
        }
        get othersCategoryThreshold() {
            return this.xc;
        }
        set othersCategoryThreshold(a) {
            this.xc = a;
            this.g("OthersCategoryThreshold");
        }
        get othersCategoryText() {
            return this.x4;
        }
        set othersCategoryText(a) {
            this.x4 = a;
            this.g("OthersCategoryText");
        }
        get labelMemberPath() {
            return this.xw;
        }
        set labelMemberPath(a) {
            this.xw = a;
            this.g("LabelMemberPath");
        }
        get valueAxisFavorLabellingScaleEnd() {
            return this.w3;
        }
        set valueAxisFavorLabellingScaleEnd(a) {
            this.w3 = a;
            this.g("ValueAxisFavorLabellingScaleEnd");
        }
        get valueAxisAutoRangeBufferMode() {
            return this.yc;
        }
        set valueAxisAutoRangeBufferMode(a) {
            this.yc = a;
            this.g("ValueAxisAutoRangeBufferMode");
        }
        get angleAxisInterval() {
            return this.w9;
        }
        set angleAxisInterval(a) {
            this.w9 = a;
            this.g("AngleAxisInterval");
        }
        get angleAxisMinorInterval() {
            return this.xa;
        }
        set angleAxisMinorInterval(a) {
            this.xa = a;
            this.g("AngleAxisMinorInterval");
        }
        get valueAxisInterval() {
            return this.xf;
        }
        set valueAxisInterval(a) {
            this.xf = a;
            this.g("ValueAxisInterval");
        }
        get valueAxisIsLogarithmic() {
            return this.w4;
        }
        set valueAxisIsLogarithmic(a) {
            this.w4 = a;
            this.g("ValueAxisIsLogarithmic");
        }
        get valueAxisLogarithmBase() {
            return this.xt;
        }
        set valueAxisLogarithmBase(a) {
            this.xt = a;
            this.g("ValueAxisLogarithmBase");
        }
        get valueAxisMinimumValue() {
            return this.xh;
        }
        set valueAxisMinimumValue(a) {
            this.xh = a;
            this.g("ValueAxisMinimumValue");
        }
        get valueAxisMaximumValue() {
            return this.xg;
        }
        set valueAxisMaximumValue(a) {
            this.xg = a;
            this.g("ValueAxisMaximumValue");
        }
        get valueAxisMinorInterval() {
            return this.xi;
        }
        set valueAxisMinorInterval(a) {
            this.xi = a;
            this.g("ValueAxisMinorInterval");
        }
        get radiusExtent() {
            return this.xd;
        }
        set radiusExtent(a) {
            this.xd = a;
            this.g("RadiusExtent");
        }
        get startAngle() {
            return this.xe;
        }
        set startAngle(a) {
            this.xe = a;
            this.g("StartAngle");
        }
        get sliceLabelContentSeparator() {
            return this.x8;
        }
        set sliceLabelContentSeparator(a) {
            this.x8 = a;
            this.g("SliceLabelContentSeparator");
        }
        get sliceLabelContentMode() {
            return this.x7;
        }
        set sliceLabelContentMode(a) {
            this.x7 = a;
            this.g("SliceLabelContentMode");
        }
        get legendSliceLabelContentMode() {
            return this.x0;
        }
        set legendSliceLabelContentMode(a) {
            this.x0 = a;
            this.g("LegendSliceLabelContentMode");
        }
        get angleAxisFavorLabellingScaleEnd() {
            return this.w1;
        }
        set angleAxisFavorLabellingScaleEnd(a) {
            this.w1 = a;
            this.g("AngleAxisFavorLabellingScaleEnd");
        }
        get valueAxisAbbreviateLargeNumbers() {
            return this.w2;
        }
        set valueAxisAbbreviateLargeNumbers(a) {
            this.w2 = a;
            this.g("ValueAxisAbbreviateLargeNumbers");
        }
        get markerCollision() {
            return this.x3;
        }
        set markerCollision(a) {
            this.x3 = a;
            this.g("MarkerCollision");
        }
    }
    DataPieBaseChartDescription.$t = /*@__PURE__*/ markType(DataPieBaseChartDescription, 'DataPieBaseChartDescription', RadialBaseChartDescription.$);
    return DataPieBaseChartDescription;
})();
